// Skybox

textures/ut_dville/dville
{
	qer_editorimage textures/ut_dville/dville
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 500
	surfaceparm sky
	q3map_sun 0.934 0.835 1.00 75 80 15
	skyparms textures/ut_dville/env/dville - -
}

textures/ut_dville/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut_dville/rain2.tga
		tcMod Scroll .01 -2
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_dville/rain.tga
		tcMod Scroll .5 -2.5
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_dville/fountain_flow
{
	qer_editorimage textures/ut_dville/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none

	{
		map textures/ut_dville/water_move1.tga
		tcMod Scroll .5 -.5
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_dville/water_move2.tga
		tcMod Scroll .01 -1
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_dville/water_move3.tga
		tcMod Scroll .25 -.75
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_dville/wheel_wagon
{
	qer_editorimage textures/ut_dville/wheel_wagon.tga
	qer_trans 0.60
	{
		map textures/ut_dville/wheel_wagon.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_dville/flame_dark
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ut_dville/corona_amber
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_dville/corona_amber.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/ut_dville/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_dville/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
